#
# spec file for package rubygem-mysql (Version 2.8.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-mysql
Version:        2.8.1
Release:        1.20
%define mod_name mysql
#
Group:          Development/Languages/Ruby
License:        GPLv2+ or Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires

Requires:       ruby >= 1.8.6
BuildRequires:  ruby-devel >= 1.8.6
BuildRequires:  libmysqlclient-devel
%if 0%{?suse_version} >= 1100
BuildRequires:  fdupes
%endif
#
Url:            http://mysql-win.rubyforge.org
Source:         %{mod_name}-%{version}.gem
#
Summary:        This is the MySQL API module for Ruby
%description
This is the MySQL API module for Ruby. It provides the same functions for Ruby
programs that the MySQL C API provides for C programs.

This is a conversion of tmtm's original extension into a proper RubyGems.

%prep
%build
%install
%gem_install %{S:0}

# fix shebang
# test_mysql.rb
sed -i -e "s@^#!/usr/local/bin/ruby@#!/usr/bin/ruby@" %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/test/test_%{mod_name}.rb

# rpmlint
# remove not needed files
# Fix Me # devel-file-in-non-devel-package mysql.c
%{__rm} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/ext/%{mod_name}_api/{Makefile,error_const.h,mysql.o}

# fdupes
%if 0%{?suse_version} >= 1100
%fdupes %{buildroot}%{_libdir}
%endif

%gem_cleanup

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Tue Dec  1 2009 chris@computersalat.de
- initial pkg 2.8.1
